CREATE TABLE egi_subscriptions_b (
    SUBSCRIPTION_ID             NUMBER(18, 0) ,
    SUPPLIER_ID                 NUMBER(18, 0) ,
    SUBSCRIPTION_DESTINATION    VARCHAR2(40)  ,
    SUBSCRIPTION_NUMBER         VARCHAR2(320)     NOT NULL,
    GTIN_NUMBER                 VARCHAR2(56)  ,
    SUBSCRIPTION_MODE           VARCHAR2(480) ,
    SUBSCRIPTION_TYPE           VARCHAR2(480) ,
    SUBSCRIPTION_STATUS         VARCHAR2(480) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    GLOBAL_LOCATION_NUMBER      VARCHAR2(52)  ,
    CATEGORY_ID                 NUMBER(18, 0) ,
    ORGANIZATION_ID             NUMBER(18, 0) ,
    RELOAD_FULL_FLAG            VARCHAR2(4)   ,
    DATE_SUBMITTED              TIMESTAMP(6)  ,
    ERROR_CODE                  VARCHAR2(120) ,
    ACK_DETAIL                  VARCHAR2(4000),
    SUBSCRIPTION_ID             NUMBER(18, 0) ,
    SUBSCRIPTION_NUMBER         VARCHAR2(320)     NOT NULL,
    GTIN_NUMBER                 VARCHAR2(56)  ,
    SUBSCRIPTION_MODE           VARCHAR2(480) ,
    SUBSCRIPTION_TYPE           VARCHAR2(480) ,
    SUBSCRIPTION_STATUS         VARCHAR2(480) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    GLOBAL_LOCATION_NUMBER      VARCHAR2(52)  ,
    CATEGORY_ID                 NUMBER(18, 0) ,
    ORGANIZATION_ID             NUMBER(18, 0) ,
    RELOAD_FULL_FLAG            VARCHAR2(4)   ,
    DATE_SUBMITTED              TIMESTAMP(6)  ,
    ERROR_CODE                  VARCHAR2(120) ,
    ACK_DETAIL                  VARCHAR2(4000),
    SUPPLIER_ID                 NUMBER(18, 0) ,
    SUBSCRIPTION_DESTINATION    VARCHAR2(40)  ,
    CONSTRAINT pk_egi_subscriptions_b PRIMARY KEY (SUBSCRIPTION_ID, SUBSCRIPTION_ID)
);
